Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | List of all members
eZ\Publish\Core\REST\Server\Values\RestRole Class Reference

REST Role, as received by /roles/<ID>. More...

Inheritance diagram for eZ\Publish\Core\REST\Server\Values\RestRole:

## Public Member Functions
| __construct (Role $role)
| Construct. More...
| __get ($property)
| Magic getter for routing get calls to innerRole. More...
| __set ($property, $propertyValue)
| Magic set for routing set calls to innerRole. More...
| __isset ($property)
| Magic isset for routing isset calls to innerRole. More...

## Protected Attributes
| $innerRole

## Detailed Description

REST Role, as received by /roles/<ID>.

Definition at line 15 of file RestRole.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Publish\Core\REST\Server\Values\RestRole::__construct | ( | Role | $role | ) |

Construct.

Parameters

  \eZ\Publish\API\Repository\Values\User\Role | $role |

Definition at line 29 of file RestRole.php.

## Member Function Documentation

## ◆ __get()

eZ\Publish\Core\REST\Server\Values\RestRole::__get | ( |  | $property | ) |

Magic getter for routing get calls to innerRole.

Parameters

  string | $property | The name of the property to retrieve

Returns
  mixed

Definition at line 41 of file RestRole.php.

## ◆ __isset()

eZ\Publish\Core\REST\Server\Values\RestRole::__isset | ( |  | $property | ) |

Magic isset for routing isset calls to innerRole.

Parameters

  string | $property |

Returns
  bool

Definition at line 64 of file RestRole.php.

## ◆ __set()

eZ\Publish\Core\REST\Server\Values\RestRole::__set | ( |  | $property,
|  |  | $propertyValue
| ) |  |

Magic set for routing set calls to innerRole.

Parameters

  string | $property |
  mixed | $propertyValue |

Definition at line 52 of file RestRole.php.

## Member Data Documentation

## ◆ $innerRole

eZ\Publish\Core\REST\Server\Values\RestRole::$innerRole
| protected

Definition at line 22 of file RestRole.php.

The documentation for this class was generated from the following file:

- RestRole.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.